org.apache.cassandra.index.sasi.utils

## Class CombinedTermIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<Pair<IndexedTerm,TokenTreeBuilder>>
    - - org.apache.cassandra.index.sasi.sa.TermIterator
      - - org.apache.cassandra.index.sasi.utils.CombinedTermIterator

All Implemented Interfaces:
  java.util.Iterator<Pair<IndexedTerm,TokenTreeBuilder>>

    public class CombinedTermIterator
    extends TermIterator

### Constructor Summary

Constructors
Constructor and Description
`CombinedTermIterator(Descriptor d, OnDiskIndex... parts)`
`CombinedTermIterator(OnDiskIndex... sas)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Pair<IndexedTerm,TokenTreeBuilder>` `computeNext()`
`java.nio.ByteBuffer` `maxTerm()`
`java.nio.ByteBuffer` `minTerm()`

### Methods inherited from class com.google.common.collect.AbstractIterator

`endOfData, hasNext, next, peek`

### Methods inherited from class com.google.common.collect.UnmodifiableIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### CombinedTermIterator

    public CombinedTermIterator(OnDiskIndex... sas)

#### CombinedTermIterator

    public CombinedTermIterator(Descriptor d,
                                OnDiskIndex... parts)

### Method Detail

#### minTerm

    public java.nio.ByteBuffer minTerm()

Specified by:
  `minTerm` in class `TermIterator`

#### maxTerm

    public java.nio.ByteBuffer maxTerm()

Specified by:
  `maxTerm` in class `TermIterator`

#### computeNext

    protected Pair<IndexedTerm,TokenTreeBuilder> computeNext()

Specified by:
  `computeNext` in class `com.google.common.collect.AbstractIterator<Pair<IndexedTerm,TokenTreeBuilder>>`